package epson.common;

import android.content.Context;

import com.epson.iprint.prtlogger.NewLoggerController;
import com.epson.mobilephone.common.license.DefaultUserSurveyInfo;

public class IprintUserSurveyInfo extends DefaultUserSurveyInfo {
    public int getResponseStatus(@NonNull Context context) {
        if (NewLoggerController.doesAnsweredCurrentInvitation(context)) {
            return 2;
        }
        return NewLoggerController.doesAnsweredInvitation(context) ? 1 : 0;
    }

    public void setUserSurveyAgreement(@NonNull Context context, boolean z) {
        NewLoggerController.setAnswer(context, z);
    }

    public boolean isUserSurveyEnabled(@NonNull Context context) {
        return NewLoggerController.isLoggerEnabled(context);
    }
}
